# $Revision: 1.15 $, $Date: 2007/01/24 10:34:02 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" 
			# (requires working DNS - but may fail anyway, because of some NXDOMAIN)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Geo
%define		pnam	IP
Summary:	Geo::IP - look up country by IP Address
Summary(pl):	Geo::IP - odszukanie kraju po adresie IP
Name:		perl-Geo-IP
Version:	1.27
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	10ec3c74808ffbca871eca4db77209bd
BuildRequires:	GeoIP-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module uses a file based database. This database simply contains
IP blocks as keys, and countries as values. This database should be
more complete and accurate than reverse DNS lookups.

This module can be used to automatically select the geographically
closest mirror, to analyze your web server logs to determine the
countries of your visitors, for credit card fraud detection, and for
software export controls.

%description -l pl
Ten modu uywa bazy danych w postaci pliku. W bazie tej adresy IP s
kluczami, a pastwa wartociami. Powinna ona by dokadniejsza ni
sprawdzanie odwrotnego DNS.

Ta biblioteka moe by uywana do automatycznego wyboru najbliszego
geograficznie mirrora, analizy logw serwera WWW w celu okrelenia
kraju, z ktrego pochodz odwiedzajcy, do wykrywania oszustw
dotyczcych kart kredytowych oraz kontroli eksportu oprogramowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Geo
%{perl_vendorarch}/Geo/*.pm
%dir %{perl_vendorarch}/Geo/IP
%{perl_vendorarch}/Geo/IP/*.pm
%dir %{perl_vendorarch}/auto/Geo
%dir %{perl_vendorarch}/auto/Geo/IP
%{perl_vendorarch}/auto/Geo/IP/IP.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Geo/IP/IP.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Geo-IP.spec,v $
Revision 1.15  2007/01/24 10:34:02  arekm
- up to 1.27

Revision 1.14  2005/01/03 18:19:22  adamg
- updated to 1.25

Revision 1.13  2004/12/01 20:46:21  radek
- version 1.24

Revision 1.12  2004/11/03 22:30:23  paladine
- formatting

Revision 1.11  2004/11/01 22:33:13  adamg
- updated to 1.23

Revision 1.10  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.9  2004/05/07 00:32:01  ankry
- rel. 2

Revision 1.8  2004/05/06 18:43:10  ankry
- fixed perl-devel BR

Revision 1.7  2004/04/21 08:40:38  ankry
- license fixes/unification

Revision 1.6  2004/03/14 21:11:11  adamg
- release 1

Revision 1.5  2004/03/13 23:09:15  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.4  2003/08/18 08:08:48  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.3  2003/08/03 12:59:23  adamg
- updated to 1.21, added source0-md5

Revision 1.2  2003/06/30 15:08:42  qboosh
- finished (tests off - they use network and require some hostnames present)

Revision 1.1  2003/06/12 00:09:36  adamg
- initial import
- not finished yet (sleep buffer underrun!)
